package net.woodyfolsom.msproj.ann2;

import java.util.List;

public interface TrainingMethod {
	
	void iterate(FeedforwardNetwork neuralNetwork, List<NNDataPair> trainingSet);
	double computeError(FeedforwardNetwork neuralNetwork, List<NNDataPair> trainingSet);
	
}
